<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
UpdateVersionComment Method (IEdmHistoryUpdate)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmHistoryUpdate Interface : UpdateVersionComment Method (IEdmHistoryUpdate)

Visual Basic
C#
C++/CLI

lFileID
  ID of file for which to update a comment

lVersionNo
  ID of version for which to update a comment; -1 for all versions

bsNewComment
  New version comment

Updates a version comment.

# Syntax

Visual Basic |
--- | ---

    Sub UpdateVersionComment( _
       ByVal lFileID As System.Integer, _
       ByVal lVersionNo As System.Integer, _
       ByVal bsNewComment As System.String _
    )

C# |
--- | ---

    void UpdateVersionComment(
       System.int lFileID,
       System.int lVersionNo,
       System.string bsNewComment
    )

C++/CLI |
--- | ---

    void UpdateVersionComment(
    &   System.int lFileID,
    &   System.int lVersionNo,
    &   System.String^ bsNewComment
    )

#### Parameters

lFileID
  ID of file for which to update a comment
lVersionNo
  ID of version for which to update a comment; -1 for all versions
bsNewComment
  New version comment

# Example

See the IEdmHistoryUpdate examples.

# Remarks

After calling this method, you must call IEdmHistoryUpdate::CommitUpdates to write the change to the database.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmHistoryUpdate Interface
IEdmHistoryUpdate Members

# Availability

SOLIDWORKS PDM Professional 2008